You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     w...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/net/vortex/Makefile 327755 2013-09-20 22:10:23Z 
bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-12-13_10h32m20s/logs/vortex-2.9.0.59.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-12-13_10h32m20s
Log:

====>> Building net/vortex
build started at Sat Dec 14 02:39:54 UTC 2013
port directory: /usr/ports/net/vortex
building for: FreeBSD head-amd64-default-job-13 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 amd64
maintained by: w...@freebsd.org
Makefile ident:      $FreeBSD: head/net/vortex/Makefile 327755 2013-09-20 
22:10:23Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=32827
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=vortex-2.9.0.59
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local 
 LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/vortex
DOCSDIR=/usr/local/share/doc/vortex
EXAMPLESDIR=/usr/local/share/examples/vortex
WWWDIR=/usr/local/www/vortex
ETCDIR=/usr/local/etc/vortex
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for vortex-2.9.0.59
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   vortex-2.9.0.59 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.3.txz
Installing pkg-1.2.3... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of vortex-2.9.0.59
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by vortex-2.9.0.59 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by vortex-2.9.0.59 for building
=> SHA256 Checksum OK for vortex-2.9.0-59.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by vortex-2.9.0.59 for building
===>  Extracting for vortex-2.9.0.59
=> SHA256 Checksum OK for vortex-2.9.0-59.tgz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for vortex-2.9.0.59
===>  Applying FreeBSD patches for vortex-2.9.0.59
===========================================================================
=======================<phase: build-depends  >============================
===>   vortex-2.9.0.59 depends on file: /usr/local/lib/libnids.a - not found
===>    Verifying install for /usr/local/lib/libnids.a in 
/usr/ports/net/libnids-libnet11
===>   Installing existing package /packages/All/libnids-libnet11-1.24.txz
Installing libnids-libnet11-1.24...Installing python27-2.7.6_1...Installing 
gettext-0.18.3.1... done
 done
Installing python2-2_1... done
Installing python-2.7_1,2... done
Installing perl5-5.16.3_4...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.16.3 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.16.3 to /usr/bin/perl5
Done.
 done
Installing pcre-8.33... done
Installing libffi-3.0.13... done
Installing glib-2.36.3...No schema files found: doing nothing.
 done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of vortex-2.9.0.59
===>   vortex-2.9.0.59 depends on file: /usr/local/bin/libnet11-config - not 
found
===>    Verifying install for /usr/local/bin/libnet11-config in 
/usr/ports/net/libnet
===>   Installing existing package /packages/All/libnet-1.1.6_1,1.txz
Installing libnet-1.1.6_1,1... done
===>   Returning to build of vortex-2.9.0.59
===========================================================================
=======================<phase: lib-depends    >============================
===>   vortex-2.9.0.59 depends on shared library: libglib-2.0.so - found
===>   vortex-2.9.0.59 depends on shared library: libpcre.so - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for vortex-2.9.0.59
===========================================================================
=======================<phase: build          >============================
===>  Building for vortex-2.9.0.59
cd /wrkdirs/usr/ports/net/vortex/work/vortex-2.9.0 && cc -c vortex.c 
-I/usr/local/include
vortex.c:1718:32: warning: comparison of unsigned expression < 0 is always 
false [-Wtautological-compare]
        if ((realloc_increase_percent < 0) || (realloc_increase_percent > 
REALLOC_INCREASE_PERCENT_MAX))
             ~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~
1 warning generated.
cd /wrkdirs/usr/ports/net/vortex/work/vortex-2.9.0 && cc -o vortex vortex.o 
-L/usr/local/lib /usr/local/lib/libnids.a `/usr/local/bin/libnet11-config 
--libs` -lgthread-2.0 -lpcap
/usr/bin/ld: :: invalid DSO for symbol `g_thread_exit' definition
/usr/local/lib/libglib-2.0.so.0: could not read symbols: Bad value
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make: stopped in /usr/ports/net/vortex
===>  Cleaning for vortex-2.9.0.59
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to